Skip to main content
GET
/
workflow
/
enrollments
/
{enrollment_id}
/
executions
List Enrollment Execution Logs
curl --request GET \
  --url https://api.getoutbox.ai/workflow/enrollments/{enrollment_id}/executions/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workflow_name": "<string>",
      "current_action_name": "<string>",
      "contact_name": "<string>",
      "action_config": "<string>",
      "actions_run": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "workflow": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "trigger_context": "<unknown>",
      "current_action_index": 1073741823,
      "wait_until": "2023-11-07T05:31:56Z",
      "wait_for_call_id": "<string>",
      "error_message": "<string>",
      "results": "<unknown>"
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123,
  "enrollment": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enrollment_id
string<uuid>
required

Query Parameters

page
integer
default:1
status
string

Response

results
object[]
required
total
integer
required
page
integer
required
page_size
integer
required
total_pages
integer
required
enrollment
object
required

Summary of the enrollment: id, workflow name, contact info, status.